> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/objects/recipe/nutritional-info.md).

# Nutritional Info

The `nutritionalInfo` object contains the nutritional values of the associated food per each gram of that food. I.e. one gram of the Tropical Storm Detox Shake contains 0.01 grams of protein. See the example below. &#x20;

{% hint style="danger" %}
For most use cases, the [nutrientsPerServing](/graphql/objects/recipe/nutrientsperserving.md) object should be preferred.
{% endhint %}

{% hint style="info" %}
Depending on your subscription type, [attributions ](https://docs.suggestic.com/graphql/start-here/attribution-guidelines)must need to be included when using recipes. &#x20;
{% endhint %}

### List of Fields

<table data-header-hidden><thead><tr><th>Nutrient </th><th width="173.33333333333331">Name</th><th>Unit</th></tr></thead><tbody><tr><td>Nutrient </td><td>Name</td><td>Unit</td></tr><tr><td><code>calories</code></td><td>Calories</td><td>Kcal</td></tr><tr><td><code>sugar</code></td><td>Sugar</td><td>g</td></tr><tr><td><code>fiber</code></td><td>Fiber</td><td>g</td></tr><tr><td><code>saturatedFat</code></td><td>Saturated Fat</td><td>g</td></tr><tr><td><code>monounsaturatedFat</code></td><td>Monounsaturated Fat</td><td>g</td></tr><tr><td><code>polyunsaturatedFat</code></td><td>Polyunsaturated Fat</td><td>g</td></tr><tr><td><code>transFat</code></td><td>Trans Fat</td><td>g</td></tr><tr><td><code>cholesterol</code></td><td>Cholesterol</td><td>mg</td></tr><tr><td><code>choline</code></td><td>Choline</td><td>mg</td></tr><tr><td><code>copper</code></td><td>Copper</td><td>mg</td></tr><tr><td><code>iodine</code></td><td>Iodine</td><td>ug</td></tr><tr><td><code>magnesium</code></td><td>Magnesium</td><td>mg</td></tr><tr><td><code>manganese</code></td><td>Manganese</td><td>mg</td></tr><tr><td><code>molybdenum</code></td><td>Molybdenum</td><td>ug</td></tr><tr><td><code>selenium</code></td><td>Selenium</td><td>ug</td></tr><tr><td><code>sodium</code></td><td>Sodium</td><td>mg</td></tr><tr><td><code>potassium</code></td><td>Potassium</td><td>mg</td></tr><tr><td><code>phosphorus</code></td><td>Phosphorus</td><td>mg</td></tr><tr><td><code>zinc</code></td><td>Zinc</td><td>mg</td></tr><tr><td><code>vitaminA</code></td><td>Vitamin A</td><td>IU</td></tr><tr><td><code>vitaminB1</code></td><td>Vitamin B1 (Thiamin)</td><td>mg</td></tr><tr><td><code>vitaminB2</code></td><td>Vitamin B2 (Riboflavin)</td><td>mg</td></tr><tr><td><code>vitaminB3</code></td><td>Vitamin B3 (Niacin)</td><td>mg</td></tr><tr><td><code>vitaminB5</code></td><td>VitaminB5 (Pantothenic acid)</td><td>mg</td></tr><tr><td><code>vitaminB6</code></td><td>Vitamin B6</td><td>mg</td></tr><tr><td><code>vitaminB7</code></td><td>Vitamin B7 (Biotin)</td><td>ug</td></tr><tr><td><code>vitaminB9</code></td><td>Vitamin B9 (Folic acid)</td><td>ug</td></tr><tr><td><code>vitaminC</code></td><td>Vitamin C</td><td>mg</td></tr><tr><td><code>vitaminD</code></td><td>Vitamin D</td><td>mcg</td></tr><tr><td><code>vitaminE</code></td><td>Vitamin E (alpha-tocopherol)</td><td>mg</td></tr><tr><td><code>calcium</code></td><td>Calcium</td><td>mg</td></tr><tr><td><code>iron</code></td><td>Iron</td><td>mg</td></tr><tr><td><code>netcarbs</code></td><td>Net Carbohydrates (carbs minus fiber)</td><td>g</td></tr><tr><td><code>protein</code></td><td>Protein</td><td>g</td></tr><tr><td><code>carbs</code></td><td>Carbohydrates</td><td>g</td></tr><tr><td><code>fat</code></td><td>Fat</td><td>g</td></tr><tr><td><code>dha</code></td><td>DHA</td><td>g</td></tr><tr><td><code>dpa</code></td><td>DPA</td><td>g</td></tr><tr><td><code>epa</code></td><td>EPA</td><td>g</td></tr><tr><td><code>ala</code></td><td>ALA</td><td>g</td></tr><tr><td><code>omega3</code></td><td>Omega 3 (DHA, DPA, EPA, ALA)</td><td>g</td></tr></tbody></table>

{% hint style="info" %}
**Note:** Use these units as a base to calculate what you require. For other units, please use your preferred tools to convert between related *units*&#x20;
{% endhint %}

### Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  recipe(id: "UmVjaXBlOmFmMDkzMjQ0LWZkZTMtNGE3Yy1iMTA4LWUxODExNTBkNmNiZQ==") {
    name
    nutritionalInfo {
      calories
      protein
      carbs
      fat
      sugar
      fiber
      saturatedFat
      monounsaturatedFat
      polyunsaturatedFat
      transFat
      copper
      cholesterol
      choline
      iodine
      magnesium
      manganese
      molybdenum
      phosphorus
      potassium
      selenium
      sodium
      zinc
      potassium
      vitaminB1
      vitaminB2
      vitaminB3
      vitaminB5
      vitaminB6
      vitaminB7
      vitaminB9
      vitaminA
      vitaminC
      calcium
      iron
      netcarbs
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "recipe": {
      "name": "Tropical Storm Detox Shake",
      "nutritionalInfo": {
        "calories": 4.8434,
        "protein": 0.033,
        "carbs": 0.21,
        "fat": 0.4301,
        "sugar": 0.0669,
        "fiber": 0.0086,
        "saturatedFat": 0.3658,
        "monounsaturatedFat": 0.0095,
        "polyunsaturatedFat": 0.0027,
        "transFat": 0.0001,
        "copper": 0,
        "cholesterol": 0,
        "choline": 0,
        "iodine": 0,
        "magnesium": 0.1185,
        "manganese": 0.0045,
        "molybdenum": 0,
        "phosphorus": 0.1237,
        "potassium": 3.4601,
        "selenium": 0.0036,
        "sodium": 0.4498,
        "zinc": 0.0014,
        "vitaminB1": 0.0003,
        "vitaminB2": 0.0001,
        "vitaminB3": 0.0012,
        "vitaminB5": 0.0006,
        "vitaminB6": 0.0003,
        "vitaminB7": 0,
        "vitaminB9": 0,
        "vitaminA": 4.5397,
        "vitaminC": 0.0757,
        "calcium": 0.1716,
        "iron": 0.0125,
        "netcarbs": 0.2
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/recipe/nutritional-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
